MONOMER_TORSION ALPHA   = { "ALPHA",   "O3'-P-O5'-C5'",   "O3'", "P",   "O5'", "C5'" };
/*
MONOMER_TORSION BETA    = { "BETA",    "P-O5'-C5'-C4'",   "P",   "O5'", "C5'", "C4'" };
MONOMER_TORSION GAMMA   = { "GAMMA",   "O5'-C5'-C4'-C3'", "O5'", "C5'", "C4'", "C3'" };
MONOMER_TORSION DELTA   = { "DELTA",   "C5'-C4'-C3'-O3'", "C5'", "C4'", "C3'", "O3'" };
*/
MONOMER_TORSION EPSILON = { "EPSILON", "C4'-C3'-O3'-P",   "C4'", "C3'", "O3'", "P" };
MONOMER_TORSION ZETA    = { "ZETA",    "C3'-O3'-P-O5'",   "C3'", "O3'", "P",   "O5'" };
/*
MONOMER_TORSION CHI[2]  = { "CHI",     "O4'-C1'-N9-C4",   "O4'", "C1'", "N9",  "C4",
                            "CHI",     "O4'-C1'-N1-C2",   "O4'", "C1'", "N1",  "C2" };
MONOMER_TORSION CHI1[2] = { "CHI1",    "O4'-C1'-N9-C8",   "O4'", "C1'", "N9",  "C8",
                            "CHI1",    "O4'-C1'-N1-C6",   "O4'", "C1'", "N1",  "C6" };
MONOMER_TORSION NU0     = { "NU0",     "C4'-O4'-C1'-C2'", "C4'", "O4'", "C1'", "C2'" };
MONOMER_TORSION NU1     = { "NU1",     "O4'-C1'-C2'-C3'", "O4'", "C1'", "C2'", "C3'" };
MONOMER_TORSION NU2     = { "NU2",     "C1'-C2'-C3'-C4'", "C1'", "C2'", "C3'", "C4'" };
MONOMER_TORSION NU3     = { "NU3",     "C2'-C3'-C4'-O4'", "C2'", "C3'", "C4'", "O4'" };
MONOMER_TORSION NU4     = { "NU4",     "C3'-C4'-O4'-C1'", "C3'", "C4'", "O4'", "C1'" };
MONOMER_TORSION NU5     = { "NU5",     "C5'-C4'-C3'-C2'", "C5'", "C4'", "C3'", "C2'" };
MONOMER_TORSION NU6     = { "NU6",     "O4'-C4'-C3'-O3'", "O4'", "C4'", "C3'", "O3'" };
MONOMER_TORSION NU7     = { "NU7",     "O3'-C3'-C2'-O2'", "O3'", "C3'", "C2'", "O2'" };
MONOMER_TORSION NU8     = { "NU8",     "O5'-C5'-C4'-O4'", "O5'", "C5'", "C4'", "O4'" };
*/

MONOMER_TORSION tor_na[NUM_TOR_NA] = {
       { "BETA",    "P-O5'-C5'-C4'",   "P",   "O5'", "C5'", "C4'" },
       { "GAMMA",   "O5'-C5'-C4'-C3'", "O5'", "C5'", "C4'", "C3'" },
       { "DELTA",   "C5'-C4'-C3'-O3'", "C5'", "C4'", "C3'", "O3'" },
       { "CHI",     "O4'-C1'-N9-C4",   "O4'", "C1'", "N9",  "C4" },
       { "CHI",     "O4'-C1'-N1-C2",   "O4'", "C1'", "N1",  "C2" }
};

MONOMER DA = { "DA", 24, 33,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.418, 0.025, "(H)C2'-endo" },
                    { 1.423, 0.011, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.512, 0.007, "C2'-endo"    },
                    { 1.509, 0.011, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.529, 0.010, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.516, 0.008, "C2'-endo"    },
                    { 1.518, 0.012, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.518, 0.010, "C2'-endo"    },
                    { 1.519, 0.010, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.420, 0.011, "C2'-endo"    },
                    { 1.418, 0.012, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.446, 0.010, "C2'-endo"    },
                    { 1.449, 0.009, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.435, 0.013, "C2'-endo"    },
                    { 1.419, 0.006, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N9",  "C1'", "N9",  2,
               {
                    { 1.468, 0.014, "C2'-endo"    },
                    { 1.488, 0.013, "C3'-endo"    }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.339, 0.009, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.331, 0.009, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.344, 0.006, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.383, 0.007, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.406, 0.009, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "C6",  "N1",  1,
               {
                    { 1.351, 0.007, "s"           }
               }
          },
          { "C5-N7",     "C5-N7",   "C5",  "N7",  1,
               {
                    { 1.388, 0.006, "s"           }
               }
          },
          { "N7-C8",     "C8-N7",   "N7",  "C8",  1,
               {
                    { 1.311, 0.007, "s"           }
               }
          },
          { "C8-N9",     "C8-N9",   "C8",  "N9",  1,
               {
                    { 1.373, 0.008, "s"           }
               }
          },
          { "N9-C4",     "C4-N9",   "N9",  "C4",  1,
               {
                    { 1.374, 0.006, "s"           }
               }
          },
          { "C6-N6",     "C6-N6",   "C6",  "N6",  1,
               {
                    { 1.335, 0.008, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 110.9, 1.7, "C2'-endo"       },
                    { 111.0, 2.5, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.0, 0.6, "C2'-endo"       },
                    { 104.5, 0.4, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 114.1, 1.8, "C2'-endo"       },
                    { 115.7, 1.2, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.3, 1.9, "C2'-endo"       },
                    { 109.8, 1.1, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 110.1, 1.0, "C2'-endo"       },
                    { 110.3, 0.7, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.7, 2.5, "C2'-endo"       },
                    { 112.3, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.5, "C2'-endo"       },
                    { 112.6, 3.3, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 103.1, 0.9, "C2'-endo"       },
                    { 102.2, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 102.5, 1.2, "C2'-endo"       },
                    { 102.4, 0.8, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.9, 0.8, "C2'-endo"       },
                    { 106.8, 0.5, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N9",  "N9",  "C1'", "C2'", 2,
               {
                    { 114.3, 1.4, "C2'-endo"       },
                    { 112.6, 1.9, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N9-C1'-O4'",  "O4'", "C1'", "N9",  2,
               {
                    { 108.0, 0.7, "C2'-endo"       },
                    { 108.3, 0.3, "C3'-endo"       }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 118.6, 0.6, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 129.3, 0.5, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 110.6, 0.5, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 126.8, 0.7, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 117.0, 0.5, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 117.7, 0.5, "s"              }
               }
          },
          { "C4-C5-N7",      "C4-C5-N7",    "C4",  "C5",  "N7",  1,
               {
                    { 110.7, 0.5, "s"              }
               }
          },
          { "C5-N7-C8",      "C5-N7-C8",    "C5",  "N7",  "C8",  1,
               {
                    { 103.9, 0.5, "s"              }
               }
          },
          { "N7-C8-N9",      "N7-C8-N9",    "N7",  "C8",  "N9",  1,
               {
                    { 113.8, 0.5, "s"              }
               }
          },
          { "C8-N9-C4",      "C4-N9-C8",    "C8",  "N9",  "C4",  1,
               {
                    { 105.8, 0.4, "s"              }
               }
          },
          { "N9-C4-C5",      "C5-C4-N9",    "N9",  "C4",  "C5",  1,
               {
                    { 105.8, 0.4, "s"              }
               }
          },
          { "N3-C4-N9",      "N3-C4-N9",    "N3",  "C4",  "N9",  1,
               {
                    { 127.4, 0.8, "s"              }
               }
          },
          { "C6-C5-N7",      "C6-C5-N7",    "C6",  "C5",  "N7",  1,
               {
                    { 132.3, 0.7, "s"              }
               }
          },
          { "N1-C6-N6",      "N1-C6-N6",    "N1",  "C6",  "N6",  1,
               {
                    { 118.6, 0.6, "s"              }
               }
          },
          { "C5-C6-N6",      "C5-C6-N6",    "C5",  "C6",  "N6",  1,
               {
                    { 123.7, 0.8, "s"              }
               }
          },
          { "C8-N9-C1'",     "C1'-N9-C8",   "C8",  "N9",  "C1'", 1,
               {
                    { 127.7, 1.8, "s"              }
               }
          },
          { "C4-N9-C1'",     "C1'-N9-C4",   "C4",  "N9",  "C1'", 1,
               {
                    { 126.3, 1.8, "s"              }
               }
          }
     }
};

MONOMER RA = { "A", 25, 35,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.424, 0.016, "(H)C2'-endo" },
                    { 1.420, 0.009, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.509, 0.012, "C2'-endo"    },
                    { 1.508, 0.007, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.527, 0.011, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.525, 0.011, "C2'-endo"    },
                    { 1.523, 0.011, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.526, 0.008, "C2'-endo"    },
                    { 1.529, 0.011, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.415, 0.012, "C2'-endo"    },
                    { 1.412, 0.013, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.454, 0.010, "C2'-endo"    },
                    { 1.451, 0.013, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.427, 0.012, "C2'-endo"    },
                    { 1.417, 0.014, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N9",  "C1'", "N9",  2,
               {
                    { 1.464, 0.014, "C2'-endo"    },
                    { 1.483, 0.015, "C3'-endo"    }
               }
          },
          { "C2'-O2'",   "C2'-O2'", "C2'", "O2'", 2,
               {
                    { 1.412, 0.013, "C2'-endo"    },
                    { 1.420, 0.010, "C3'-endo"    }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.339, 0.009, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.331, 0.009, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.344, 0.006, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.383, 0.007, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.406, 0.009, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "C6",  "N1",  1,
               {
                    { 1.351, 0.007, "s"           }
               }
          },
          { "C5-N7",     "C5-N7",   "C5",  "N7",  1,
               {
                    { 1.388, 0.006, "s"           }
               }
          },
          { "N7-C8",     "C8-N7",   "N7",  "C8",  1,
               {
                    { 1.311, 0.007, "s"           }
               }
          },
          { "C8-N9",     "C8-N9",   "C8",  "N9",  1,
               {
                    { 1.373, 0.008, "s"           }
               }
          },
          { "N9-C4",     "C4-N9",   "N9",  "C4",  1,
               {
                    { 1.374, 0.006, "s"           }
               }
          },
          { "C6-N6",     "C6-N6",   "C6",  "N6",  1,
               {
                    { 1.335, 0.008, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 111.7, 1.9, "C2'-endo"       },
                    { 111.5, 1.6, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.1, 0.8, "C2'-endo"       },
                    { 104.0, 1.0, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 115.2, 1.4, "C2'-endo"       },
                    { 116.0, 1.6, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.1, 1.2, "C2'-endo"       },
                    { 109.8, 0.9, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 109.7, 0.7, "C2'-endo"       },
                    { 109.9, 0.8, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.1, "C2'-endo"       },
                    { 113.0, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.5, 2.2, "C2'-endo"       },
                    { 113.7, 1.6, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 102.6, 1.0, "C2'-endo"       },
                    { 102.6, 1.0, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 101.5, 0.8, "C2'-endo"       },
                    { 101.3, 0.7, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.8, 1.0, "C2'-endo"       },
                    { 107.6, 0.9, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N9",  "N9",  "C1'", "C2'", 2,
               {
                    { 114.0, 1.3, "C2'-endo"       },
                    { 112.0, 1.1, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N9-C1'-O4'",  "O4'", "C1'", "N9",  2,
               {
                    { 108.2, 0.8, "C2'-endo"       },
                    { 108.5, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-O2'",   "C1'-C2'-O2'", "C1'", "C2'", "O2'", 1,
               {
                    { 110.6, 3.0, "s"              }
               }
          },
          { "C3'-C2'-O2'",   "C3'-C2'-O2'", "C3'", "C2'", "O2'", 1,
               {
                    { 113.3, 2.9, "s"              }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 118.6, 0.6, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 129.3, 0.5, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 110.6, 0.5, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 126.8, 0.7, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 117.0, 0.5, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 117.7, 0.5, "s"              }
               }
          },
          { "C4-C5-N7",      "C4-C5-N7",    "C4",  "C5",  "N7",  1,
               {
                    { 110.7, 0.5, "s"              }
               }
          },
          { "C5-N7-C8",      "C5-N7-C8",    "C5",  "N7",  "C8",  1,
               {
                    { 103.9, 0.5, "s"              }
               }
          },
          { "N7-C8-N9",      "N7-C8-N9",    "N7",  "C8",  "N9",  1,
               {
                    { 113.8, 0.5, "s"              }
               }
          },
          { "C8-N9-C4",      "C4-N9-C8",    "C8",  "N9",  "C4",  1,
               {
                    { 105.8, 0.4, "s"              }
               }
          },
          { "N9-C4-C5",      "C5-C4-N9",    "N9",  "C4",  "C5",  1,
               {
                    { 105.8, 0.4, "s"              }
               }
          },
          { "N3-C4-N9",      "N3-C4-N9",    "N3",  "C4",  "N9",  1,
               {
                    { 127.4, 0.8, "s"              }
               }
          },
          { "C6-C5-N7",      "C6-C5-N7",    "C6",  "C5",  "N7",  1,
               {
                    { 132.3, 0.7, "s"              }
               }
          },
          { "N1-C6-N6",      "N1-C6-N6",    "N1",  "C6",  "N6",  1,
               {
                    { 118.6, 0.6, "s"              }
               }
          },
          { "C5-C6-N6",      "C5-C6-N6",    "C5",  "C6",  "N6",  1,
               {
                    { 123.7, 0.8, "s"              }
               }
          },
          { "C8-N9-C1'",     "C1'-N9-C8",   "C8",  "N9",  "C1'", 1,
               {
                    { 127.7, 1.8, "s"              }
               }
          },
          { "C4-N9-C1'",     "C1'-N9-C4",   "C4",  "N9",  "C1'", 1,
               {
                    { 126.3, 1.8, "s"              }
               }
          }
     }
};

MONOMER DC = { "DC", 21, 28,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.418, 0.025, "(H)C2'-endo" },
                    { 1.423, 0.011, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.512, 0.007, "C2'-endo"    },
                    { 1.509, 0.011, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.529, 0.010, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.516, 0.008, "C2'-endo"    },
                    { 1.518, 0.012, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.518, 0.010, "C2'-endo"    },
                    { 1.519, 0.010, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.420, 0.011, "C2'-endo"    },
                    { 1.418, 0.012, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.446, 0.010, "C2'-endo"    },
                    { 1.449, 0.009, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.435, 0.013, "C2'-endo"    },
                    { 1.419, 0.006, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N1",  "C1'", "N1",  2,
               {
                    { 1.468, 0.014, "C2'-endo"    },
                    { 1.488, 0.013, "C3'-endo"    }
               }
          },
          { "C2-O2",     "C2-O2",   "C2",  "O2",  1,
               {
                    { 1.240, 0.009, "s"           }
               }
          },
          { "C4-N4",     "C4-N4",   "C4",  "N4",  1,
               {
                    { 1.335, 0.009, "s"           }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.397, 0.010, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "N1",  "C6",  1,
               {
                    { 1.367, 0.006, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.353, 0.008, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.335, 0.007, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.425, 0.008, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.339, 0.008, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 110.9, 1.7, "C2'-endo"       },
                    { 111.0, 2.5, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.0, 0.6, "C2'-endo"       },
                    { 104.5, 0.4, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 114.1, 1.8, "C2'-endo"       },
                    { 115.7, 1.2, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.3, 1.9, "C2'-endo"       },
                    { 109.8, 1.1, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 110.1, 1.0, "C2'-endo"       },
                    { 110.3, 0.7, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.7, 2.5, "C2'-endo"       },
                    { 112.3, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.5, "C2'-endo"       },
                    { 112.6, 3.3, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 103.1, 0.9, "C2'-endo"       },
                    { 102.2, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 102.5, 1.2, "C2'-endo"       },
                    { 102.4, 0.8, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.9, 0.8, "C2'-endo"       },
                    { 106.8, 0.5, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N1",  "N1",  "C1'", "C2'", 2,
               {
                    { 114.3, 1.4, "C2'-endo"       },
                    { 112.6, 1.9, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N1-C1'-O4'",  "O4'", "C1'", "N1",  2,
               {
                    { 108.0, 0.7, "C2'-endo"       },
                    { 108.3, 0.3, "C3'-endo"       }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 120.3, 0.4, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 119.2, 0.7, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 119.9, 0.5, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 121.9, 0.4, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 117.4, 0.5, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 121.0, 0.5, "s"              }
               }
          },
          { "N1-C2-O2",      "N1-C2-O2",    "N1",  "C2",  "O2",  1,
               {
                    { 118.9, 0.6, "s"              }
               }
          },
          { "N3-C2-O2",      "N3-C2-O2",    "N3",  "C2",  "O2",  1,
               {
                    { 121.9, 0.7, "s"              }
               }
          },
          { "N3-C4-N4",      "N3-C4-N4",    "N3",  "C4",  "N4",  1,
               {
                    { 118.0, 0.7, "s"              }
               }
          },
          { "C5-C4-N4",      "C5-C4-N4",    "C5",  "C4",  "N4",  1,
               {
                    { 120.2, 0.7, "s"              }
               }
          },
          { "C6-N1-C1'",     "C1'-N1-C6",   "C6",  "N1",  "C1'", 1,
               {
                    { 120.8, 1.2, "s"              }
               }
          },
          { "C2-N1-C1'",     "C1'-N1-C2",   "C2",  "N1",  "C1'", 1,
               {
                    { 118.8, 1.1, "s"              }
               }
          }
     }
};

MONOMER RC = { "C", 22, 30,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.424, 0.016, "(H)C2'-endo" },
                    { 1.420, 0.009, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.509, 0.012, "C2'-endo"    },
                    { 1.508, 0.007, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.527, 0.011, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.525, 0.011, "C2'-endo"    },
                    { 1.523, 0.011, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.526, 0.008, "C2'-endo"    },
                    { 1.529, 0.011, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.415, 0.012, "C2'-endo"    },
                    { 1.412, 0.013, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.454, 0.010, "C2'-endo"    },
                    { 1.451, 0.013, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.427, 0.012, "C2'-endo"    },
                    { 1.417, 0.014, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N1",  "C1'", "N1",  2,
               {
                    { 1.464, 0.014, "C2'-endo"    },
                    { 1.483, 0.015, "C3'-endo"    }
               }
          },
          { "C2'-O2'",   "C2'-O2'", "C2'", "O2'", 2,
               {
                    { 1.412, 0.013, "C2'-endo"    },
                    { 1.420, 0.010, "C3'-endo"    }
               }
          },
          { "C2-O2",     "C2-O2",   "C2",  "O2",  1,
               {
                    { 1.240, 0.009, "s"           }
               }
          },
          { "C4-N4",     "C4-N4",   "C4",  "N4",  1,
               {
                    { 1.335, 0.009, "s"           }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.397, 0.010, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "N1",  "C6",  1,
               {
                    { 1.367, 0.006, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.353, 0.008, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.335, 0.007, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.425, 0.008, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.339, 0.008, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 111.7, 1.9, "C2'-endo"       },
                    { 111.5, 1.6, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.1, 0.8, "C2'-endo"       },
                    { 104.0, 1.0, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 115.2, 1.4, "C2'-endo"       },
                    { 116.0, 1.6, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.1, 1.2, "C2'-endo"       },
                    { 109.8, 0.9, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 109.7, 0.7, "C2'-endo"       },
                    { 109.9, 0.8, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.1, "C2'-endo"       },
                    { 113.0, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.5, 2.2, "C2'-endo"       },
                    { 113.7, 1.6, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 102.6, 1.0, "C2'-endo"       },
                    { 102.6, 1.0, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 101.5, 0.8, "C2'-endo"       },
                    { 101.3, 0.7, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.8, 1.0, "C2'-endo"       },
                    { 107.6, 0.9, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N1",  "N1",  "C1'", "C2'", 2,
               {
                    { 114.0, 1.3, "C2'-endo"       },
                    { 112.0, 1.1, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N1-C1'-O4'",  "O4'", "C1'", "N1",  2,
               {
                    { 108.2, 0.8, "C2'-endo"       },
                    { 108.5, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-O2'",   "C1'-C2'-O2'", "C1'", "C2'", "O2'", 1,
               {
                    { 110.6, 3.0, "s"              }
               }
          },
          { "C3'-C2'-O2'",   "C3'-C2'-O2'", "C3'", "C2'", "O2'", 1,
               {
                    { 113.3, 2.9, "s"              }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 120.3, 0.4, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 119.2, 0.7, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 119.9, 0.5, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 121.9, 0.4, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 117.4, 0.5, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 121.0, 0.5, "s"              }
               }
          },
          { "N1-C2-O2",      "N1-C2-O2",    "N1",  "C2",  "O2",  1,
               {
                    { 118.9, 0.6, "s"              }
               }
          },
          { "N3-C2-O2",      "N3-C2-O2",    "N3",  "C2",  "O2",  1,
               {
                    { 121.9, 0.7, "s"              }
               }
          },
          { "N3-C4-N4",      "N3-C4-N4",    "N3",  "C4",  "N4",  1,
               {
                    { 118.0, 0.7, "s"              }
               }
          },
          { "C5-C4-N4",      "C5-C4-N4",    "C5",  "C4",  "N4",  1,
               {
                    { 120.2, 0.7, "s"              }
               }
          },
          { "C6-N1-C1'",     "C1'-N1-C6",   "C6",  "N1",  "C1'", 1,
               {
                    { 120.8, 1.2, "s"              }
               }
          },
          { "C2-N1-C1'",     "C1'-N1-C2",   "C2",  "N1",  "C1'", 1,
               {
                    { 118.8, 1.1, "s"              }
               }
          }
     }
};

MONOMER DG = { "DG", 25, 35,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.418, 0.025, "(H)C2'-endo" },
                    { 1.423, 0.011, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.512, 0.007, "C2'-endo"    },
                    { 1.509, 0.011, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.529, 0.010, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.516, 0.008, "C2'-endo"    },
                    { 1.518, 0.012, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.518, 0.010, "C2'-endo"    },
                    { 1.519, 0.010, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.420, 0.011, "C2'-endo"    },
                    { 1.418, 0.012, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.446, 0.010, "C2'-endo"    },
                    { 1.449, 0.009, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.435, 0.013, "C2'-endo"    },
                    { 1.419, 0.006, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N9",  "C1'", "N9",  2,
               {
                    { 1.468, 0.014, "C2'-endo"    },
                    { 1.488, 0.013, "C3'-endo"    }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.373, 0.008, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.323, 0.008, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.350, 0.007, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.379, 0.007, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.419, 0.010, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "C6",  "N1",  1,
               {
                    { 1.391, 0.007, "s"           }
               }
          },
          { "C5-N7",     "C5-N7",   "C5",  "N7",  1,
               {
                    { 1.388, 0.006, "s"           }
               }
          },
          { "N7-C8",     "C8-N7",   "N7",  "C8",  1,
               {
                    { 1.305, 0.006, "s"           }
               }
          },
          { "C8-N9",     "C8-N9",   "C8",  "N9",  1,
               {
                    { 1.374, 0.007, "s"           }
               }
          },
          { "N9-C4",     "C4-N9",   "N9",  "C4",  1,
               {
                    { 1.375, 0.008, "s"           }
               }
          },
          { "C2-N2",     "C2-N2",   "C2",  "N2",  1,
               {
                    { 1.341, 0.010, "s"           }
               }
          },
          { "C6-O6",     "C6-O6",   "C6",  "O6",  1,
               {
                    { 1.237, 0.009, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 110.9, 1.7, "C2'-endo"       },
                    { 111.0, 2.5, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.0, 0.6, "C2'-endo"       },
                    { 104.5, 0.4, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 114.1, 1.8, "C2'-endo"       },
                    { 115.7, 1.2, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.3, 1.9, "C2'-endo"       },
                    { 109.8, 1.1, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 110.1, 1.0, "C2'-endo"       },
                    { 110.3, 0.7, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.7, 2.5, "C2'-endo"       },
                    { 112.3, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.5, "C2'-endo"       },
                    { 112.6, 3.3, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 103.1, 0.9, "C2'-endo"       },
                    { 102.2, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 102.5, 1.2, "C2'-endo"       },
                    { 102.4, 0.8, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.9, 0.8, "C2'-endo"       },
                    { 106.8, 0.5, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N9",  "N9",  "C1'", "C2'", 2,
               {
                    { 114.3, 1.4, "C2'-endo"       },
                    { 112.6, 1.9, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N9-C1'-O4'",  "O4'", "C1'", "N9",  2,
               {
                    { 108.0, 0.7, "C2'-endo"       },
                    { 108.3, 0.3, "C3'-endo"       }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 125.1, 0.6, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 123.9, 0.6, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 111.9, 0.5, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 128.6, 0.5, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 118.8, 0.6, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 111.5, 0.5, "s"              }
               }
          },
          { "C4-C5-N7",      "C4-C5-N7",    "C4",  "C5",  "N7",  1,
               {
                    { 110.8, 0.4, "s"              }
               }
          },
          { "C5-N7-C8",      "C5-N7-C8",    "C5",  "N7",  "C8",  1,
               {
                    { 104.3, 0.5, "s"              }
               }
          },
          { "N7-C8-N9",      "N7-C8-N9",    "N7",  "C8",  "N9",  1,
               {
                    { 113.1, 0.5, "s"              }
               }
          },
          { "C8-N9-C4",      "C4-N9-C8",    "C8",  "N9",  "C4",  1,
               {
                    { 106.4, 0.4, "s"              }
               }
          },
          { "N9-C4-C5",      "C5-C4-N9",    "N9",  "C4",  "C5",  1,
               {
                    { 105.4, 0.4, "s"              }
               }
          },
          { "N3-C4-N9",      "N3-C4-N9",    "N3",  "C4",  "N9",  1,
               {
                    { 126.0, 0.6, "s"              }
               }
          },
          { "C6-C5-N7",      "C6-C5-N7",    "C6",  "C5",  "N7",  1,
               {
                    { 130.4, 0.6, "s"              }
               }
          },
          { "N1-C2-N2",      "N1-C2-N2",    "N1",  "C2",  "N2",  1,
               {
                    { 116.2, 0.9, "s"              }
               }
          },
          { "N3-C2-N2",      "N2-C2-N3",    "N3",  "C2",  "N2",  1,
               {
                    { 119.9, 0.7, "s"              }
               }
          },
          { "N1-C6-O6",      "N1-C6-O6",    "N1",  "C6",  "O6",  1,
               {
                    { 119.9, 0.6, "s"              }
               }
          },
          { "C5-C6-O6",      "C5-C6-O6",    "C5",  "C6",  "O6",  1,
               {
                    { 128.6, 0.6, "s"              }
               }
          },
          { "C8-N9-C1'",     "C1'-N9-C8",   "C8",  "N9",  "C1'", 1,
               {
                    { 127.0, 1.3, "s"              }
               }
          },
          { "C4-N9-C1'",     "C1'-N9-C4",   "C4",  "N9",  "C1'", 1,
               {
                    { 126.5, 1.3, "s"              }
               }
          }
     }
};

MONOMER RG = { "G", 26, 37,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.424, 0.016, "(H)C2'-endo" },
                    { 1.420, 0.009, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.509, 0.012, "C2'-endo"    },
                    { 1.508, 0.007, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.527, 0.011, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.525, 0.011, "C2'-endo"    },
                    { 1.523, 0.011, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.526, 0.008, "C2'-endo"    },
                    { 1.529, 0.011, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.415, 0.012, "C2'-endo"    },
                    { 1.412, 0.013, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.454, 0.010, "C2'-endo"    },
                    { 1.451, 0.013, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.427, 0.012, "C2'-endo"    },
                    { 1.417, 0.014, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N9",  "C1'", "N9",  2,
               {
                    { 1.464, 0.014, "C2'-endo"    },
                    { 1.483, 0.015, "C3'-endo"    }
               }
          },
          { "C2'-O2'",   "C2'-O2'", "C2'", "O2'", 2,
               {
                    { 1.412, 0.013, "C2'-endo"    },
                    { 1.420, 0.010, "C3'-endo"    }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.373, 0.008, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.323, 0.008, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.350, 0.007, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.379, 0.007, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.419, 0.010, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "C6",  "N1",  1,
               {
                    { 1.391, 0.007, "s"           }
               }
          },
          { "C5-N7",     "C5-N7",   "C5",  "N7",  1,
               {
                    { 1.388, 0.006, "s"           }
               }
          },
          { "N7-C8",     "C8-N7",   "N7",  "C8",  1,
               {
                    { 1.305, 0.006, "s"           }
               }
          },
          { "C8-N9",     "C8-N9",   "C8",  "N9",  1,
               {
                    { 1.374, 0.007, "s"           }
               }
          },
          { "N9-C4",     "C4-N9",   "N9",  "C4",  1,
               {
                    { 1.375, 0.008, "s"           }
               }
          },
          { "C2-N2",     "C2-N2",   "C2",  "N2",  1,
               {
                    { 1.341, 0.010, "s"           }
               }
          },
          { "C6-O6",     "C6-O6",   "C6",  "O6",  1,
               {
                    { 1.237, 0.009, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 111.7, 1.9, "C2'-endo"       },
                    { 111.5, 1.6, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.1, 0.8, "C2'-endo"       },
                    { 104.0, 1.0, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 115.2, 1.4, "C2'-endo"       },
                    { 116.0, 1.6, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.1, 1.2, "C2'-endo"       },
                    { 109.8, 0.9, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 109.7, 0.7, "C2'-endo"       },
                    { 109.9, 0.8, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.1, "C2'-endo"       },
                    { 113.0, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.5, 2.2, "C2'-endo"       },
                    { 113.7, 1.6, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 102.6, 1.0, "C2'-endo"       },
                    { 102.6, 1.0, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 101.5, 0.8, "C2'-endo"       },
                    { 101.3, 0.7, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.8, 1.0, "C2'-endo"       },
                    { 107.6, 0.9, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N9",  "N9",  "C1'", "C2'", 2,
               {
                    { 114.0, 1.3, "C2'-endo"       },
                    { 112.0, 1.1, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N9-C1'-O4'",  "O4'", "C1'", "N9",  2,
               {
                    { 108.2, 0.8, "C2'-endo"       },
                    { 108.5, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-O2'",   "C1'-C2'-O2'", "C1'", "C2'", "O2'", 1,
               {
                    { 110.6, 3.0, "s"              }
               }
          },
          { "C3'-C2'-O2'",   "C3'-C2'-O2'", "C3'", "C2'", "O2'", 1,
               {
                    { 113.3, 2.9, "s"              }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 125.1, 0.6, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 123.9, 0.6, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 111.9, 0.5, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 128.6, 0.5, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 118.8, 0.6, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 111.5, 0.5, "s"              }
               }
          },
          { "C4-C5-N7",      "C4-C5-N7",    "C4",  "C5",  "N7",  1,
               {
                    { 110.8, 0.4, "s"              }
               }
          },
          { "C5-N7-C8",      "C5-N7-C8",    "C5",  "N7",  "C8",  1,
               {
                    { 104.3, 0.5, "s"              }
               }
          },
          { "N7-C8-N9",      "N7-C8-N9",    "N7",  "C8",  "N9",  1,
               {
                    { 113.1, 0.5, "s"              }
               }
          },
          { "C8-N9-C4",      "C4-N9-C8",    "C8",  "N9",  "C4",  1,
               {
                    { 106.4, 0.4, "s"              }
               }
          },
          { "N9-C4-C5",      "C5-C4-N9",    "N9",  "C4",  "C5",  1,
               {
                    { 105.4, 0.4, "s"              }
               }
          },
          { "N3-C4-N9",      "N3-C4-N9",    "N3",  "C4",  "N9",  1,
               {
                    { 126.0, 0.6, "s"              }
               }
          },
          { "C6-C5-N7",      "C6-C5-N7",    "C6",  "C5",  "N7",  1,
               {
                    { 130.4, 0.6, "s"              }
               }
          },
          { "N1-C2-N2",      "N1-C2-N2",    "N1",  "C2",  "N2",  1,
               {
                    { 116.2, 0.9, "s"              }
               }
          },
          { "N3-C2-N2",      "N2-C2-N3",    "N3",  "C2",  "N2",  1,
               {
                    { 119.9, 0.7, "s"              }
               }
          },
          { "N1-C6-O6",      "N1-C6-O6",    "N1",  "C6",  "O6",  1,
               {
                    { 119.9, 0.6, "s"              }
               }
          },
          { "C5-C6-O6",      "C5-C6-O6",    "C5",  "C6",  "O6",  1,
               {
                    { 128.6, 0.6, "s"              }
               }
          },
          { "C8-N9-C1'",     "C1'-N9-C8",   "C8",  "N9",  "C1'", 1,
               {
                    { 127.0, 1.3, "s"              }
               }
          },
          { "C4-N9-C1'",     "C1'-N9-C4",   "C4",  "N9",  "C1'", 1,
               {
                    { 126.5, 1.3, "s"              }
               }
          }
     }
};

MONOMER DI = { "DI", 24, 33,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.480, 0.020, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.480, 0.020, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.610, 0.020, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.610, 0.020, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 1,
               {
                    { 1.410, 0.020, "s"           }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 1,
               {
                    { 1.524, 0.020, "s"           }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 1,
               {
                    { 1.524, 0.020, "s"           }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 1,
               {
                    { 1.524, 0.020, "s"           }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 1,
               {
                    { 1.524, 0.020, "s"           }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 1,
               {
                    { 1.410, 0.020, "s"           }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 1,
               {
                    { 1.410, 0.020, "s"           }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 1,
               {
                    { 1.410, 0.020, "s"           }
               }
          },
          { "C1'-N1/N9", "C1'-N9",  "C1'", "N9",  1,
               {
                    { 1.475, 0.020, "s"           }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.355, 0.020, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.355, 0.020, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.355, 0.020, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.390, 0.020, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.390, 0.020, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "C6",  "N1",  1,
               {
                    { 1.380, 0.020, "s"           }
               }
          },
          { "C5-N7",     "C5-N7",   "C5",  "N7",  1,
               {
                    { 1.350, 0.020, "s"           }
               }
          },
          { "N7-C8",     "C8-N7",   "N7",  "C8",  1,
               {
                    { 1.350, 0.020, "s"           }
               }
          },
          { "C8-N9",     "C8-N9",   "C8",  "N9",  1,
               {
                    { 1.370, 0.020, "s"           }
               }
          },
          { "N9-C4",     "C4-N9",   "N9",  "C4",  1,
               {
                    { 1.375, 0.020, "s"           }
               }
          },
          { "C6-O6",     "C6-O6",   "C6",  "O6",  1,
               {
                    { 1.230, 0.020, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.9, 3.0, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 105.7, 0.9, "small"          },
                    { 110.7, 1.2, "large"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 105.7, 0.9, "small"          },
                    { 110.7, 1.2, "large"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.5, 3.0, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 1,
               {
                    { 111.0, 3.0, "s"              }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 1,
               {
                    { 111.8, 3.0, "s"              }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 1,
               {
                    { 111.0, 3.0, "s"              }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 1,
               {
                    { 111.0, 3.0, "s"              }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N9",  "N9",  "C1'", "C2'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "O4'-C1'-N1/N9", "N9-C1'-O4'",  "O4'", "C1'", "N9",  1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C4-C5-N7",      "C4-C5-N7",    "C4",  "C5",  "N7",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "C5-N7-C8",      "C5-N7-C8",    "C5",  "N7",  "C8",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "N7-C8-N9",      "N7-C8-N9",    "N7",  "C8",  "N9",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "C8-N9-C4",      "C4-N9-C8",    "C8",  "N9",  "C4",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "N9-C4-C5",      "C5-C4-N9",    "N9",  "C4",  "C5",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "N3-C4-N9",      "N3-C4-N9",    "N3",  "C4",  "N9",  1,
               {
                    { 132.0, 3.0, "s"              }
               }
          },
          { "C6-C5-N7",      "C6-C5-N7",    "C6",  "C5",  "N7",  1,
               {
                    { 132.0, 3.0, "s"              }
               }
          },
          { "N1-C6-O6",      "N1-C6-O6",    "N1",  "C6",  "O6",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C5-C6-O6",      "C5-C6-O6",    "C5",  "C6",  "O6",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C8-N9-C1'",     "C1'-N9-C8",   "C8",  "N9",  "C1'", 1,
               {
                    { 126.0, 3.0, "s"              }
               }
          },
          { "C4-N9-C1'",     "C1'-N9-C4",   "C4",  "N9",  "C1'", 1,
               {
                    { 126.0, 3.0, "s"              }
               }
          }
     }
};

MONOMER RI = { "I", 25, 35,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.480, 0.020, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.480, 0.020, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.610, 0.020, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.610, 0.020, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 1,
               {
                    { 1.410, 0.020, "s"           }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 1,
               {
                    { 1.524, 0.020, "s"           }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 1,
               {
                    { 1.524, 0.020, "s"           }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 1,
               {
                    { 1.524, 0.020, "s"           }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 1,
               {
                    { 1.524, 0.020, "s"           }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 1,
               {
                    { 1.410, 0.020, "s"           }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 1,
               {
                    { 1.410, 0.020, "s"           }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 1,
               {
                    { 1.410, 0.020, "s"           }
               }
          },
          { "C1'-N1/N9", "C1'-N9",  "C1'", "N9",  1,
               {
                    { 1.475, 0.020, "s"           }
               }
          },
          { "C2'-O2'",   "C2'-O2'", "C2'", "O2'", 1,
               {
                    { 1.410, 0.020, "s"           }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.355, 0.020, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.355, 0.020, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.355, 0.020, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.390, 0.020, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.390, 0.020, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "C6",  "N1",  1,
               {
                    { 1.380, 0.020, "s"           }
               }
          },
          { "C5-N7",     "C5-N7",   "C5",  "N7",  1,
               {
                    { 1.350, 0.020, "s"           }
               }
          },
          { "N7-C8",     "C8-N7",   "N7",  "C8",  1,
               {
                    { 1.350, 0.020, "s"           }
               }
          },
          { "C8-N9",     "C8-N9",   "C8",  "N9",  1,
               {
                    { 1.370, 0.020, "s"           }
               }
          },
          { "N9-C4",     "C4-N9",   "N9",  "C4",  1,
               {
                    { 1.375, 0.020, "s"           }
               }
          },
          { "C6-O6",     "C6-O6",   "C6",  "O6",  1,
               {
                    { 1.230, 0.020, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.9, 3.0, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 105.7, 0.9, "small"          },
                    { 110.7, 1.2, "large"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 105.7, 0.9, "small"          },
                    { 110.7, 1.2, "large"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.5, 3.0, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 1,
               {
                    { 111.0, 3.0, "s"              }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 1,
               {
                    { 111.8, 3.0, "s"              }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 1,
               {
                    { 111.0, 3.0, "s"              }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 1,
               {
                    { 111.0, 3.0, "s"              }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N9",  "N9",  "C1'", "C2'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "O4'-C1'-N1/N9", "N9-C1'-O4'",  "O4'", "C1'", "N9",  1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C1'-C2'-O2'",   "C1'-C2'-O2'", "C1'", "C2'", "O2'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C3'-C2'-O2'",   "C3'-C2'-O2'", "C3'", "C2'", "O2'", 1,
               {
                    { 109.5, 3.0, "s"              }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C4-C5-N7",      "C4-C5-N7",    "C4",  "C5",  "N7",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "C5-N7-C8",      "C5-N7-C8",    "C5",  "N7",  "C8",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "N7-C8-N9",      "N7-C8-N9",    "N7",  "C8",  "N9",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "C8-N9-C4",      "C4-N9-C8",    "C8",  "N9",  "C4",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "N9-C4-C5",      "C5-C4-N9",    "N9",  "C4",  "C5",  1,
               {
                    { 108.0, 3.0, "s"              }
               }
          },
          { "N3-C4-N9",      "N3-C4-N9",    "N3",  "C4",  "N9",  1,
               {
                    { 132.0, 3.0, "s"              }
               }
          },
          { "C6-C5-N7",      "C6-C5-N7",    "C6",  "C5",  "N7",  1,
               {
                    { 132.0, 3.0, "s"              }
               }
          },
          { "N1-C6-O6",      "N1-C6-O6",    "N1",  "C6",  "O6",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C5-C6-O6",      "C5-C6-O6",    "C5",  "C6",  "O6",  1,
               {
                    { 120.0, 3.0, "s"              }
               }
          },
          { "C8-N9-C1'",     "C1'-N9-C8",   "C8",  "N9",  "C1'", 1,
               {
                    { 126.0, 3.0, "s"              }
               }
          },
          { "C4-N9-C1'",     "C1'-N9-C4",   "C4",  "N9",  "C1'", 1,
               {
                    { 126.0, 3.0, "s"              }
               }
          }
     }
};

MONOMER DT = { "DT", 22, 30,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.418, 0.025, "(H)C2'-endo" },
                    { 1.423, 0.011, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.512, 0.007, "C2'-endo"    },
                    { 1.509, 0.011, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.529, 0.010, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.516, 0.008, "C2'-endo"    },
                    { 1.518, 0.012, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.518, 0.010, "C2'-endo"    },
                    { 1.519, 0.010, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.420, 0.011, "C2'-endo"    },
                    { 1.418, 0.012, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.446, 0.010, "C2'-endo"    },
                    { 1.449, 0.009, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.435, 0.013, "C2'-endo"    },
                    { 1.419, 0.006, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N1",  "C1'", "N1",  2,
               {
                    { 1.468, 0.014, "C2'-endo"    },
                    { 1.488, 0.013, "C3'-endo"    }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.376, 0.008, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.373, 0.008, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.382, 0.008, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.445, 0.009, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.339, 0.007, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "C6",  "N1",  1,
               {
                    { 1.378, 0.007, "s"           }
               }
          },
          { "C2-O2",     "C2-O2",   "C2",  "O2",  1,
               {
                    { 1.220, 0.008, "s"           }
               }
          },
          { "C4-O4",     "C4-O4",   "C4",  "O4",  1,
               {
                    { 1.228, 0.009, "s"           }
               }
          },
          { "C5-C7",     "C5-C7",   "C5",  "C7",  1,
               {
                    { 1.496, 0.006, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 110.9, 1.7, "C2'-endo"       },
                    { 111.0, 2.5, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.0, 0.6, "C2'-endo"       },
                    { 104.5, 0.4, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 114.1, 1.8, "C2'-endo"       },
                    { 115.7, 1.2, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.3, 1.9, "C2'-endo"       },
                    { 109.8, 1.1, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 110.1, 1.0, "C2'-endo"       },
                    { 110.3, 0.7, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.7, 2.5, "C2'-endo"       },
                    { 112.3, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.5, "C2'-endo"       },
                    { 112.6, 3.3, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 103.1, 0.9, "C2'-endo"       },
                    { 102.2, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 102.5, 1.2, "C2'-endo"       },
                    { 102.4, 0.8, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.9, 0.8, "C2'-endo"       },
                    { 106.8, 0.5, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N1",  "N1",  "C1'", "C2'", 2,
               {
                    { 114.3, 1.4, "C2'-endo"       },
                    { 112.6, 1.9, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N1-C1'-O4'",  "O4'", "C1'", "N1",  2,
               {
                    { 108.0, 0.7, "C2'-endo"       },
                    { 108.3, 0.3, "C3'-endo"       }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 121.3, 0.5, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 114.6, 0.6, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 127.2, 0.6, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 115.2, 0.6, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 118.0, 0.6, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 123.7, 0.6, "s"              }
               }
          },
          { "N1-C2-O2",      "N1-C2-O2",    "N1",  "C2",  "O2",  1,
               {
                    { 123.1, 0.8, "s"              }
               }
          },
          { "N3-C2-O2",      "N3-C2-O2",    "N3",  "C2",  "O2",  1,
               {
                    { 122.3, 0.6, "s"              }
               }
          },
          { "N3-C4-O4",      "N3-C4-O4",    "N3",  "C4",  "O4",  1,
               {
                    { 119.9, 0.6, "s"              }
               }
          },
          { "C5-C4-O4",      "C5-C4-O4",    "C5",  "C4",  "O4",  1,
               {
                    { 124.9, 0.7, "s"              }
               }
          },
          { "C4-C5-C7",      "C4-C5-C7",    "C4",  "C5",  "C7",  1,
               {
                    { 119.0, 0.6, "s"              }
               }
          },
          { "C6-C5-C7",      "C6-C5-C7",    "C6",  "C5",  "C7",  1,
               {
                    { 122.9, 0.6, "s"              }
               }
          },
          { "C6-N1-C1'",     "C1'-N1-C6",   "C6",  "N1",  "C1'", 1,
               {
                    { 120.4, 1.5, "s"              }
               }
          },
          { "C2-N1-C1'",     "C1'-N1-C2",   "C2",  "N1",  "C1'", 1,
               {
                    { 118.2, 1.6, "s"              }
               }
          }
     }
};

MONOMER RT = { "T", 23, 32,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.424, 0.016, "(H)C2'-endo" },
                    { 1.420, 0.009, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.509, 0.012, "C2'-endo"    },
                    { 1.508, 0.007, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.527, 0.011, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.525, 0.011, "C2'-endo"    },
                    { 1.523, 0.011, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.526, 0.008, "C2'-endo"    },
                    { 1.529, 0.011, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.415, 0.012, "C2'-endo"    },
                    { 1.412, 0.013, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.454, 0.010, "C2'-endo"    },
                    { 1.451, 0.013, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.427, 0.012, "C2'-endo"    },
                    { 1.417, 0.014, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N1",  "C1'", "N1",  2,
               {
                    { 1.464, 0.014, "C2'-endo"    },
                    { 1.483, 0.015, "C3'-endo"    }
               }
          },
          { "C2'-O2'",   "C2'-O2'", "C2'", "O2'", 2,
               {
                    { 1.412, 0.013, "C2'-endo"    },
                    { 1.420, 0.010, "C3'-endo"    }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.376, 0.008, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.373, 0.008, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.382, 0.008, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.445, 0.009, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.339, 0.007, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "C6",  "N1",  1,
               {
                    { 1.378, 0.007, "s"           }
               }
          },
          { "C2-O2",     "C2-O2",   "C2",  "O2",  1,
               {
                    { 1.220, 0.008, "s"           }
               }
          },
          { "C4-O4",     "C4-O4",   "C4",  "O4",  1,
               {
                    { 1.228, 0.009, "s"           }
               }
          },
          { "C5-C7",     "C5-C7",   "C5",  "C7",  1,
               {
                    { 1.496, 0.006, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 111.7, 1.9, "C2'-endo"       },
                    { 111.5, 1.6, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.1, 0.8, "C2'-endo"       },
                    { 104.0, 1.0, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 115.2, 1.4, "C2'-endo"       },
                    { 116.0, 1.6, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.1, 1.2, "C2'-endo"       },
                    { 109.8, 0.9, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 109.7, 0.7, "C2'-endo"       },
                    { 109.9, 0.8, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.1, "C2'-endo"       },
                    { 113.0, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.5, 2.2, "C2'-endo"       },
                    { 113.7, 1.6, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 102.6, 1.0, "C2'-endo"       },
                    { 102.6, 1.0, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 101.5, 0.8, "C2'-endo"       },
                    { 101.3, 0.7, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.8, 1.0, "C2'-endo"       },
                    { 107.6, 0.9, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N1",  "N1",  "C1'", "C2'", 2,
               {
                    { 114.0, 1.3, "C2'-endo"       },
                    { 112.0, 1.1, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N1-C1'-O4'",  "O4'", "C1'", "N1",  2,
               {
                    { 108.2, 0.8, "C2'-endo"       },
                    { 108.5, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-O2'",   "C1'-C2'-O2'", "C1'", "C2'", "O2'", 1,
               {
                    { 110.6, 3.0, "s"              }
               }
          },
          { "C3'-C2'-O2'",   "C3'-C2'-O2'", "C3'", "C2'", "O2'", 1,
               {
                    { 113.3, 2.9, "s"              }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 121.3, 0.5, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 114.6, 0.6, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 127.2, 0.6, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 115.2, 0.6, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 118.0, 0.6, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 123.7, 0.6, "s"              }
               }
          },
          { "N1-C2-O2",      "N1-C2-O2",    "N1",  "C2",  "O2",  1,
               {
                    { 123.1, 0.8, "s"              }
               }
          },
          { "N3-C2-O2",      "N3-C2-O2",    "N3",  "C2",  "O2",  1,
               {
                    { 122.3, 0.6, "s"              }
               }
          },
          { "N3-C4-O4",      "N3-C4-O4",    "N3",  "C4",  "O4",  1,
               {
                    { 119.9, 0.6, "s"              }
               }
          },
          { "C5-C4-O4",      "C5-C4-O4",    "C5",  "C4",  "O4",  1,
               {
                    { 124.9, 0.7, "s"              }
               }
          },
          { "C4-C5-C7",      "C4-C5-C7",    "C4",  "C5",  "C7",  1,
               {
                    { 119.0, 0.6, "s"              }
               }
          },
          { "C6-C5-C7",      "C6-C5-C7",    "C6",  "C5",  "C7",  1,
               {
                    { 122.9, 0.6, "s"              }
               }
          },
          { "C6-N1-C1'",     "C1'-N1-C6",   "C6",  "N1",  "C1'", 1,
               {
                    { 120.4, 1.5, "s"              }
               }
          },
          { "C2-N1-C1'",     "C1'-N1-C2",   "C2",  "N1",  "C1'", 1,
               {
                    { 118.2, 1.6, "s"              }
               }
          }
     }
};

MONOMER DU = { "DU", 21, 28,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.418, 0.025, "(H)C2'-endo" },
                    { 1.423, 0.011, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.512, 0.007, "C2'-endo"    },
                    { 1.509, 0.011, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.529, 0.010, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.516, 0.008, "C2'-endo"    },
                    { 1.518, 0.012, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.518, 0.010, "C2'-endo"    },
                    { 1.519, 0.010, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.420, 0.011, "C2'-endo"    },
                    { 1.418, 0.012, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.446, 0.010, "C2'-endo"    },
                    { 1.449, 0.009, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.435, 0.013, "C2'-endo"    },
                    { 1.419, 0.006, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N1",  "C1'", "N1",  2,
               {
                    { 1.468, 0.014, "C2'-endo"    },
                    { 1.488, 0.013, "C3'-endo"    }
               }
          },
          { "C2-O2",     "C2-O2",   "C2",  "O2",  1,
               {
                    { 1.219, 0.009, "s"           }
               }
          },
          { "C4-O4",     "C4-O4",   "C4",  "O4",  1,
               {
                    { 1.232, 0.008, "s"           }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.381, 0.009, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "N1",  "C6",  1,
               {
                    { 1.375, 0.009, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.373, 0.007, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.380, 0.009, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.431, 0.009, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.337, 0.009, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 110.9, 1.7, "C2'-endo"       },
                    { 111.0, 2.5, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.0, 0.6, "C2'-endo"       },
                    { 104.5, 0.4, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 114.1, 1.8, "C2'-endo"       },
                    { 115.7, 1.2, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.3, 1.9, "C2'-endo"       },
                    { 109.8, 1.1, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 110.1, 1.0, "C2'-endo"       },
                    { 110.3, 0.7, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.7, 2.5, "C2'-endo"       },
                    { 112.3, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.5, "C2'-endo"       },
                    { 112.6, 3.3, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 103.1, 0.9, "C2'-endo"       },
                    { 102.2, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 102.5, 1.2, "C2'-endo"       },
                    { 102.4, 0.8, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.9, 0.8, "C2'-endo"       },
                    { 106.8, 0.5, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N1",  "N1",  "C1'", "C2'", 2,
               {
                    { 114.3, 1.4, "C2'-endo"       },
                    { 112.6, 1.9, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N1-C1'-O4'",  "O4'", "C1'", "N1",  2,
               {
                    { 108.0, 0.7, "C2'-endo"       },
                    { 108.3, 0.3, "C3'-endo"       }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 121.0, 0.6, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 114.9, 0.6, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 127.0, 0.6, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 114.6, 0.6, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 119.7, 0.6, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 122.7, 0.5, "s"              }
               }
          },
          { "N1-C2-O2",      "N1-C2-O2",    "N1",  "C2",  "O2",  1,
               {
                    { 122.8, 0.7, "s"              }
               }
          },
          { "N3-C2-O2",      "N3-C2-O2",    "N3",  "C2",  "O2",  1,
               {
                    { 122.2, 0.7, "s"              }
               }
          },
          { "N3-C4-O4",      "N3-C4-O4",    "N3",  "C4",  "O4",  1,
               {
                    { 119.4, 0.7, "s"              }
               }
          },
          { "C5-C4-O4",      "C5-C4-O4",    "C5",  "C4",  "O4",  1,
               {
                    { 125.9, 0.6, "s"              }
               }
          },
          { "C6-N1-C1'",     "C1'-N1-C6",   "C6",  "N1",  "C1'", 1,
               {
                    { 121.2, 1.4, "s"              }
               }
          },
          { "C2-N1-C1'",     "C1'-N1-C2",   "C2",  "N1",  "C1'", 1,
               {
                    { 117.7, 1.2, "s"              }
               }
          }
     }
};

MONOMER RU = { "U", 22, 30,
     {
          { "P-OP1/OP2", "OP1-P",   "P",   "OP1", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP1/OP2", "OP2-P",   "P",   "OP2", 1,
               {
                    { 1.485, 0.017, "s"           }
               }
          },
          { "P-OP3",     "P-OP3",   "P",   "OP3", 1,
               {
                    { 1.607, 0.012, "s"           }
               }
          },
          { "P-O5'",     "O5'-P",   "P",   "O5'", 1,
               {
                    { 1.593, 0.010, "s"           }
               }
          },
          { "O5'-C5'",   "C5'-O5'", "O5'", "C5'", 3,
               {
                    { 1.440, 0.016, "(P)O5'-C5'"  },
                    { 1.424, 0.016, "(H)C2'-endo" },
                    { 1.420, 0.009, "(H)C3'-endo" }
               }
          },
          { "C5'-C4'",   "C4'-C5'", "C5'", "C4'", 2,
               {
                    { 1.509, 0.012, "C2'-endo"    },
                    { 1.508, 0.007, "C3'-endo"    }
               }
          },
          { "C3'-C4'",   "C3'-C4'", "C4'", "C3'", 2,
               {
                    { 1.527, 0.011, "C2'-endo"    },
                    { 1.521, 0.010, "C3'-endo"    }
               }
          },
          { "C2'-C3'",   "C2'-C3'", "C3'", "C2'", 2,
               {
                    { 1.525, 0.011, "C2'-endo"    },
                    { 1.523, 0.011, "C3'-endo"    }
               }
          },
          { "C1'-C2'",   "C1'-C2'", "C2'", "C1'", 2,
               {
                    { 1.526, 0.008, "C2'-endo"    },
                    { 1.529, 0.011, "C3'-endo"    }
               }
          },
          { "O4'-C1'",   "C1'-O4'", "O4'", "C1'", 2,
               {
                    { 1.415, 0.012, "C2'-endo"    },
                    { 1.412, 0.013, "C3'-endo"    }
               }
          },
          { "C4'-O4'",   "C4'-O4'", "O4'", "C4'", 2,
               {
                    { 1.454, 0.010, "C2'-endo"    },
                    { 1.451, 0.013, "C3'-endo"    }
               }
          },
          { "C3'-O3'",   "C3'-O3'", "O3'", "C3'", 2,
               {
                    { 1.427, 0.012, "C2'-endo"    },
                    { 1.417, 0.014, "C3'-endo"    }
               }
          },
          { "C1'-N1/N9", "C1'-N1",  "C1'", "N1",  2,
               {
                    { 1.464, 0.014, "C2'-endo"    },
                    { 1.483, 0.015, "C3'-endo"    }
               }
          },
          { "C2'-O2'",   "C2'-O2'", "C2'", "O2'", 2,
               {
                    { 1.412, 0.013, "C2'-endo"    },
                    { 1.420, 0.010, "C3'-endo"    }
               }
          },
          { "C2-O2",     "C2-O2",   "C2",  "O2",  1,
               {
                    { 1.219, 0.009, "s"           }
               }
          },
          { "C4-O4",     "C4-O4",   "C4",  "O4",  1,
               {
                    { 1.232, 0.008, "s"           }
               }
          },
          { "N1-C2",     "C2-N1",   "N1",  "C2",  1,
               {
                    { 1.381, 0.009, "s"           }
               }
          },
          { "C6-N1",     "C6-N1",   "N1",  "C6",  1,
               {
                    { 1.375, 0.009, "s"           }
               }
          },
          { "C2-N3",     "C2-N3",   "C2",  "N3",  1,
               {
                    { 1.373, 0.007, "s"           }
               }
          },
          { "N3-C4",     "C4-N3",   "N3",  "C4",  1,
               {
                    { 1.380, 0.009, "s"           }
               }
          },
          { "C4-C5",     "C4-C5",   "C4",  "C5",  1,
               {
                    { 1.431, 0.009, "s"           }
               }
          },
          { "C5-C6",     "C5-C6",   "C5",  "C6",  1,
               {
                    { 1.337, 0.009, "s"           }
               }
          }
     },
     {
          { "OP1-P-OP2",     "OP1-P-OP2",   "OP1", "P",   "OP2", 1,
               {
                    { 119.6, 1.5, "s"              }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP1",   "O5'", "P",   "OP1", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-P-OP1/OP2", "O5'-P-OP2",   "O5'", "P",   "OP2", 2,
               {
                    { 110.7, 1.2, "large"          },
                    { 105.7, 0.9, "small"          }
               }
          },
          { "O5'-C5'-C4'",   "C4'-C5'-O5'", "O5'", "C5'", "C4'", 3,
               {
                    { 109.4, 0.8, "(P)O5'-C5'-C4'" },
                    { 111.7, 1.9, "C2'-endo"       },
                    { 111.5, 1.6, "C3'-endo"       }
               }
          },
          { "P-O5'-C5'",     "C5'-O5'-P",   "P",   "O5'", "C5'", 1,
               {
                    { 120.9, 1.6, "s"              }
               }
          },
          { "C3'-C4'-O4'",   "C3'-C4'-O4'", "O4'", "C4'", "C3'", 2,
               {
                    { 106.1, 0.8, "C2'-endo"       },
                    { 104.0, 1.0, "C3'-endo"       }
               }
          },
          { "C5'-C4'-C3'",   "C3'-C4'-C5'", "C5'", "C4'", "C3'", 2,
               {
                    { 115.2, 1.4, "C2'-endo"       },
                    { 116.0, 1.6, "C3'-endo"       }
               }
          },
          { "C5'-C4'-O4'",   "C5'-C4'-O4'", "C5'", "C4'", "O4'", 2,
               {
                    { 109.1, 1.2, "C2'-endo"       },
                    { 109.8, 0.9, "C3'-endo"       }
               }
          },
          { "C4'-O4'-C1'",   "C1'-O4'-C4'", "C1'", "O4'", "C4'", 2,
               {
                    { 109.7, 0.7, "C2'-endo"       },
                    { 109.9, 0.8, "C3'-endo"       }
               }
          },
          { "C4'-C3'-O3'",   "C4'-C3'-O3'", "C4'", "C3'", "O3'", 2,
               {
                    { 109.4, 2.1, "C2'-endo"       },
                    { 113.0, 2.0, "C3'-endo"       }
               }
          },
          { "C2'-C3'-O3'",   "C2'-C3'-O3'", "C2'", "C3'", "O3'", 2,
               {
                    { 109.5, 2.2, "C2'-endo"       },
                    { 113.7, 1.6, "C3'-endo"       }
               }
          },
          { "C2'-C3'-C4'",   "C2'-C3'-C4'", "C4'", "C3'", "C2'", 2,
               {
                    { 102.6, 1.0, "C2'-endo"       },
                    { 102.6, 1.0, "C3'-endo"       }
               }
          },
          { "C1'-C2'-C3'",   "C1'-C2'-C3'", "C3'", "C2'", "C1'", 2,
               {
                    { 101.5, 0.8, "C2'-endo"       },
                    { 101.3, 0.7, "C3'-endo"       }
               }
          },
          { "O4'-C1'-C2'",   "C2'-C1'-O4'", "O4'", "C1'", "C2'", 2,
               {
                    { 105.8, 1.0, "C2'-endo"       },
                    { 107.6, 0.9, "C3'-endo"       }
               }
          },
          { "C2'-C1'-N1/N9", "C2'-C1'-N1",  "N1",  "C1'", "C2'", 2,
               {
                    { 114.0, 1.3, "C2'-endo"       },
                    { 112.0, 1.1, "C3'-endo"       }
               }
          },
          { "O4'-C1'-N1/N9", "N1-C1'-O4'",  "O4'", "C1'", "N1",  2,
               {
                    { 108.2, 0.8, "C2'-endo"       },
                    { 108.5, 0.7, "C3'-endo"       }
               }
          },
          { "C1'-C2'-O2'",   "C1'-C2'-O2'", "C1'", "C2'", "O2'", 1,
               {
                    { 110.6, 3.0, "s"              }
               }
          },
          { "C3'-C2'-O2'",   "C3'-C2'-O2'", "C3'", "C2'", "O2'", 1,
               {
                    { 113.3, 2.9, "s"              }
               }
          },
          { "C6-N1-C2",      "C2-N1-C6",    "C6",  "N1",  "C2",  1,
               {
                    { 121.0, 0.6, "s"              }
               }
          },
          { "N1-C2-N3",      "N1-C2-N3",    "N1",  "C2",  "N3",  1,
               {
                    { 114.9, 0.6, "s"              }
               }
          },
          { "C2-N3-C4",      "C2-N3-C4",    "C2",  "N3",  "C4",  1,
               {
                    { 127.0, 0.6, "s"              }
               }
          },
          { "N3-C4-C5",      "C5-C4-N3",    "N3",  "C4",  "C5",  1,
               {
                    { 114.6, 0.6, "s"              }
               }
          },
          { "C4-C5-C6",      "C4-C5-C6",    "C4",  "C5",  "C6",  1,
               {
                    { 119.7, 0.6, "s"              }
               }
          },
          { "C5-C6-N1",      "C5-C6-N1",    "C5",  "C6",  "N1",  1,
               {
                    { 122.7, 0.5, "s"              }
               }
          },
          { "N1-C2-O2",      "N1-C2-O2",    "N1",  "C2",  "O2",  1,
               {
                    { 122.8, 0.7, "s"              }
               }
          },
          { "N3-C2-O2",      "N3-C2-O2",    "N3",  "C2",  "O2",  1,
               {
                    { 122.2, 0.7, "s"              }
               }
          },
          { "N3-C4-O4",      "N3-C4-O4",    "N3",  "C4",  "O4",  1,
               {
                    { 119.4, 0.7, "s"              }
               }
          },
          { "C5-C4-O4",      "C5-C4-O4",    "C5",  "C4",  "O4",  1,
               {
                    { 125.9, 0.6, "s"              }
               }
          },
          { "C6-N1-C1'",     "C1'-N1-C6",   "C6",  "N1",  "C1'", 1,
               {
                    { 121.2, 1.4, "s"              }
               }
          },
          { "C2-N1-C1'",     "C1'-N1-C2",   "C2",  "N1",  "C1'", 1,
               {
                    { 117.7, 1.2, "s"              }
               }
          }
     }
};

MONOMER_BOND N_LINK = {
            "P-O3'",     "O3'-P",   "O3'", "P",   1,
               {
                    { 1.607, 0.012, "s"           }
               }
};

MONOMER_ANGLE NN_ANG1 = {
            "C3'-O3'-P",     "C3'-O3'-P",   "C3'", "O3'", "P",   1,
               {
                    { 119.7, 1.2, "s"              }
               }
};

MONOMER_ANGLE NN_ANG2[3] = {
          { "O3'-P-O5'",     "O3'-P-O5'",   "O3'", "P",   "O5'", 1,
               {
                    { 104.0, 1.9, "s"              }
               }
          },
          { "O3'-P-OP1/OP2", "OP2-P-O3'",   "O3'", "P",   "OP2", 2,
               {
                    { 110.5, 1.1, "large"          },
                    { 105.2, 2.2, "small"          }
               }
          },
          { "O3'-P-OP1/OP2", "OP1-P-O3'",   "O3'", "P",   "OP1", 2,
               {
                    { 110.5, 1.1, "large"          },
                    { 105.2, 2.2, "small"          }
               }
          }
};
